Package org.apache.sling.cms.publication

## Interface PublicationManager

    public interface PublicationManager

Publication Manager is used to get the publication status of content and get the instances' publication mode. Adaptable from a ResourceResolver.

See Also:
  `ResourceResolver`

### Method Summary

All Methods Instance Methods Abstract Methods
`@NotNull PUBLICATION_MODE` `getPublicationMode()` The publication mode for the instance
`void` `publish​(@NotNull PublishableResource resource)` Publishes the resource.
`void` `unpublish​(@NotNull PublishableResource resource)` Un-publishes the resource.

### Method Detail

#### publish

    void publish​(@NotNull
                 @NotNull PublishableResource resource)
          throws PublicationException

Publishes the resource.

Parameters:
  `resource` - the resource to publish
Throws:
  `PublicationException` - an exception occurs publishing the resource

#### unpublish

    void unpublish​(@NotNull
                   @NotNull PublishableResource resource)
            throws PublicationException

Un-publishes the resource.

Parameters:
  `resource` - the resource to publish
Throws:
  `PublicationException` - an exception occurs publishing the resource

#### getPublicationMode

    @NotNull
    @NotNull PUBLICATION_MODE getPublicationMode()

The publication mode for the instance

Returns:
  the publication mode